Embeddable widget code

Get embeddable HTML code for Verbit's interactive transcript widget.

Features

  • Synchronized text highlighting with media playback
  • Full-text search capabilities
  • Click-to-seek navigation
  • Responsive design
  • Customizable appearance (through JS and CSS tweaks)

Integration Options

  1. Use Existing Player:

    • Provide your player's (video/audio element) HTML ID
    • Widget syncs with your player
    • Maintains your player's styling
  2. Built-in Player:

    • Provide media URL
    • Widget includes its own player (basic HTML5 video/audio element)
    • Consistent playback experience

Important Notes

  • Must choose exactly one integration option
  • Player ID and media URL are mutually exclusive
  • Original media available via original URL value
  • Widget title defaults to job name
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

API version. Current version is 4. Older versions are supported but deprecated.

integer
required

Job ID (as received after calling POST /job/new)

string | null

HTML element ID of media player on your page. If provided, the embedded widget will look
for a media player (HTML5 <audio> or <video> element) on target page and the transcription
in the widget will be synced in it.

You must provide either this parameter or media_url, but not both.

string | null

URL of the media file to show in widget's media player. If this parameter is passed, widget
will include the media player with media loaded by URL.

If special value original was passed, the media file in player would be job's original
media from VerbIT's server.

If media URL is not passed, it is assumed that your page already has your own media player,
and its HTML ID is passed through player_id parameter.

You must provide either this parameter or player_id, but not both.

string | null

Title of the widget. Pass special "original" value to use job name, passed in POST /job/new

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json